# nextcloud_reminder

A Reminder based on todo.txt synced via nextcloud

## Current todos:

- [ ] make repeat-datatype (like: daily, weekly on mo/th/fr, bi-monthly, etc.)
  - [ ] define isomorphism for 'repeat:'-meta-tag
- [ ] add interface for repeat-datatype in addReminder.dart
- [x] save/load data to/from disk
- [ ] respect ordering that was used when starting the app when saving.
- [ ] add Nextcloud-login for getting a Token
- [ ] use webdav for synchronizing with Nextcloud using that token
- [ ] sorting by "next up", "priority"
- [ ] respect 'color:'-meta-tag (usual formats like "#aabbcc", html-colors like "red")
  - [ ] use color in rendering todos

## Current looks:

### Main Widget
![](img/2023-01-08_application.png)

### Adding Tasks
![](img/2023-01-08_addTask.png)